# Interface ArcGISRequestHelper

The request helper to be used when making requests through ArcGIS objects.

interface ArcGISRequestHelper {
batchLayerRequests: boolean;
ttl: number;
request<T>(url: string, options?: ArcGISRequestOptions): Promise<ArcGISRequestHelperResponse<T>>;
}

#### Implemented by

- DefaultArcGISRequestHelper

#####
Index

### Properties

batchLayerRequests
ttl

### Methods

request

##
Properties

### batchLayerRequests

batchLayerRequests: boolean

If true, the first request for a single layer in a MapServer will cause all layers to be fetched at once.

### ttl

ttl: number

The amount of time (in milliseconds) to cache the response for. The default is 30 seconds.

##
Methods

### request

- request<T>(url, options?): Promise<ArcGISRequestHelperResponse<T>>

- Makes a request to a url and returns a response.

  #### Type Parameters

  - T = unknown

  #### Parameters

  - url: string

    The URL at which to send the request.

  - `Optional` options: ArcGISRequestOptions

    The options for the request.

  #### Returns Promise<ArcGISRequestHelperResponse<T>>